"{ Package: 'stx:libsvn' }"

"{ NameSpace: SVN }"

Query subclass:#BranchQuery
	instanceVariableNames:'repository'
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Queries'
!


!BranchQuery methodsFor:'accessing'!

repository
    ^ repository

    "Created: / 14-04-2008 / 11:53:58 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

repository:something
    repository := something.

    "Created: / 14-04-2008 / 11:53:58 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!BranchQuery methodsFor:'default actions'!

defaultAction

    | branches branch dlg |
    branches := repository branches.
    branches size = 1 ifTrue:[^branches anyOne].
    Screen current ifNil:[^super defaultAction].
    dlg := BranchSelectionDialog on: repository.
    branch := dlg open.
    branch ifNil:
        [branch := branches 
                    detect:[:b | b isTrunk]
                    ifNone:[self error: 'No branch!!']].
    ^branch

    "Created: / 14-04-2008 / 11:55:22 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 17-03-2009 / 18:05:54 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!BranchQuery class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__BranchQuery.st 70 2009-04-16 12:47:44Z vranyj1 '
! !
